Package com.collibra.dgc.core.api.dto.meta.relationtype

# Class FindRelationTypesRequest.Builder

Object
Builder

Enclosing class:
  `FindRelationTypesRequest`

public static final class FindRelationTypesRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindRelationTypesRequest.Builder`
  `aFindRelationTypesRequest()`
  Deprecated.
  This method will be removed in the future.
  `FindRelationTypesRequest`
  `build()`
  `FindRelationTypesRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindRelationTypesRequest.Builder`
  `coRole(String coRole)`
  `FindRelationTypesRequest.Builder`
  `limit(int limit)`
  `FindRelationTypesRequest.Builder`
  `offset(int offset)`
  `FindRelationTypesRequest.Builder`
  `role(String role)`
  `FindRelationTypesRequest.Builder`
  `roleCoRoleLogicalOperator(LogicalOperator roleCoRoleLogicalOperator)`
  `FindRelationTypesRequest.Builder`
  `sortField(FindRelationTypesRequest.SortField sortField)`
  `FindRelationTypesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `FindRelationTypesRequest.Builder`
  `sourceTypeId(UUID sourceTypeId)`
  `FindRelationTypesRequest.Builder`
  `sourceTypeName(String sourceTypeName)`
  `FindRelationTypesRequest.Builder`
  `targetTypeId(UUID targetTypeId)`
  `FindRelationTypesRequest.Builder`
  `targetTypeName(String targetTypeName)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### aFindRelationTypesRequest

    @Deprecated public static FindRelationTypesRequest.Builder aFindRelationTypesRequest()
    Deprecated.
    This method will be removed in the future. Please use `FindRelationTypesRequest.builder()`.

  - ### offset

    public FindRelationTypesRequest.Builder offset(int offset)

  - ### limit

    public FindRelationTypesRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindRelationTypesRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindRelationTypesRequest.builder()`.
    Clone method for this Builder.

  - ### sourceTypeId

    public FindRelationTypesRequest.Builder sourceTypeId(UUID sourceTypeId)
    Returns:
      `this`.

  - ### sourceTypeName

    public FindRelationTypesRequest.Builder sourceTypeName(String sourceTypeName)
    Returns:
      `this`.

  - ### role

    public FindRelationTypesRequest.Builder role(String role)
    Returns:
      `this`.

  - ### targetTypeId

    public FindRelationTypesRequest.Builder targetTypeId(UUID targetTypeId)
    Returns:
      `this`.

  - ### targetTypeName

    public FindRelationTypesRequest.Builder targetTypeName(String targetTypeName)
    Returns:
      `this`.

  - ### coRole

    public FindRelationTypesRequest.Builder coRole(String coRole)
    Returns:
      `this`.

  - ### sortField

    public FindRelationTypesRequest.Builder sortField(FindRelationTypesRequest.SortField sortField)
    Returns:
      `this`.

  - ### sortOrder

    public FindRelationTypesRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### roleCoRoleLogicalOperator

    public FindRelationTypesRequest.Builder roleCoRoleLogicalOperator(LogicalOperator roleCoRoleLogicalOperator)
    Returns:
      `this`.

  - ### build

    public FindRelationTypesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`